<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers" data-namespace-typo3-fluid="true">
<f:if condition="{gallery.rows}">
    <div class="ce-gallery{f:if(condition: data.imageborder, then: ' ce-border')}" data-ce-columns="{gallery.count.columns}" data-ce-images="{gallery.count.files}">
        <f:if condition="{gallery.position.horizontal} == 'center'">
            <div class="ce-outer">
                <div class="ce-inner">
        </f:if>
        <f:for each="{gallery.rows}" as="row">
            <div class="ce-row row">
                <f:for each="{row.columns}" as="column">
                    <f:if condition="{column.media}">
                        <div class="ce-column col-auto">
                            <f:render partial="Media/Type" arguments="{file: column.media, dimensions: column.dimensions, data: data, settings: settings}" />
                        </div>
                    </f:if>
                </f:for>
            </div>
        </f:for>
        <f:if condition="{gallery.position.horizontal} == 'center'">
                </div>
            </div>
        </f:if>
    </div>
</f:if>
</html>
